From c8a8bb6fe0d0cef8e0343d45a6cbbcde604fd4c8 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 19 May 2015 07:11:12 -0400
Subject: [PATCH] src/interp/vmlisp.lisp remove |equal|, evalandfileactq

use common lisp forms
---
 changelog                        |    4 ++++
 patch                            |    4 ++--
 src/axiom-website/patches.html   |    2 ++
 src/interp/i-spec2.lisp.pamphlet |   10 +++++-----
 src/interp/util.lisp.pamphlet    |    1 -
 src/interp/vmlisp.lisp.pamphlet  |    3 ---
 6 files changed, 13 insertions(+), 11 deletions(-)

diff --git a/changelog b/changelog
index 4ecc23a..dca4b51 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20150519 tpd src/axiom-website/patches.html 20150519.01.tpd.patch 
+20150519 tpd src/interp/i-spec2.lisp remove |equal|, evalandfileactq
+20150519 tpd src/interp/util.lisp remove |equal|, evalandfileactq
+20150519 tpd src/interp/vmlisp.lisp remove |equal|, evalandfileactq
 20150518 tpd src/axiom-website/patches.html 20150518.01.tpd.patch 
 20150518 tpd books/bookvol5 remove spaddifference
 20150518 tpd src/interp/br-con.lisp remove spaddifference
diff --git a/patch b/patch
index ee807be..41bdbae 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-src/interp/vmlisp.lisp remove spaddifference
+src/interp/vmlisp.lisp remove |equal|, evalandfileactq
 
-rename spaddifference to -, i.e. standard common lisp name
+use common lisp forms
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 23aec82..f61861b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5062,6 +5062,8 @@ books/bookvol*pamphlet add more test cases<br/>
 src/interp/vmlisp.lisp revert from broken version<br/>
 <a href="patches/20150518.01.tpd.patch">20150518.01.tpd.patch</a>
 src/interp/vmlisp.lisp remove spaddifference<br/>
+<a href="patches/20150519.01.tpd.patch">20150519.01.tpd.patch</a>
+src/interp/vmlisp.lisp remove |equal|, evalandfileactq<br/>
  </body>
 </html>
 
diff --git a/src/interp/i-spec2.lisp.pamphlet b/src/interp/i-spec2.lisp.pamphlet
index 9f41332..6286fef 100644
--- a/src/interp/i-spec2.lisp.pamphlet
+++ b/src/interp/i-spec2.lisp.pamphlet
@@ -4173,11 +4173,11 @@ There are several special modes used in these functions:
 ;     )
 ;  )
 
-(EVALANDFILEACTQ
-    (REPEAT (IN |name| |$specialOps|)
-            (SEQ (setq |functionName| (INTERNL '|up| |name|))
-                 (setf (get |name| '|up|) |functionName|)
-                 (EXIT |functionName|))))
+(eval-when (eval load)
+    (REPEAT (IN name |$specialOps|)
+            (SEQ (setq functionName (INTERNL '|up| name))
+                 (setf (get name '|up|) functionName)
+                 (EXIT functionName))))
 
 \end{chunk}
 \eject
diff --git a/src/interp/util.lisp.pamphlet b/src/interp/util.lisp.pamphlet
index cd3c6e5..b491f77 100644
--- a/src/interp/util.lisp.pamphlet
+++ b/src/interp/util.lisp.pamphlet
@@ -1215,7 +1215,6 @@ so we can add them to the TAGS file using standard etags format.
                              (equal end 0)) "skip")
                        ((position #\] line :end end) "skip")
                        ((string= line "SETANDFILEQ" :end1 end) "skip")
-                       ((string= line "EVALANDFILEACTQ" :end1 end) "skip")
                        (t (write-tag-line line tagstream
                                           (if (numberp end) (+ end 1) end)
                                           line-count char-count))  )))))))
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 7686325..0b69af2 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -94,9 +94,6 @@ documentclass{article}
 (defmacro eqq (pattern exp)
  `(,(ecqexp pattern nil) ,exp))
 
-(defmacro |equal| (x y)
- `(equalp ,x ,y))
-
 (defmacro evalandfileactq (name &optional (form name))
  `(eval-when (eval load) ,form))  
 
-- 
1.7.5.4

